低危 Red Hat Ceph重放攻击保护丢失漏洞

CVE编号

CVE-2020-25660

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-11-24
漏洞描述
Red Hat Ceph是美国红帽(Red Hat)公司的一套Linux PB级分布式文件系统。该系统的主要目标是设计成基于POSIX(可移植操作系统接口)的没有单点故障的分布式文件系统,使数据能容错和无缝的复制。 在15.2.6之前的版本和14.2.14之前的版本中,在Cephx身份验证协议中发现了一个漏洞,该漏洞无法正确验证Ceph客户端,因此容易受到Nautilus中的重放攻击。此漏洞允许访问Ceph群集网络的攻击者通过数据包嗅探器对Ceph服务进行身份验证,并执行Ceph服务允许的操作。此问题是CVE-2018-1128的重新介绍,影响了msgr2协议。msgr 2协议用于所有通信,但不支持msgr2协议的旧客户端除外。msgr1协议不受影响。此漏洞的最大威胁是机密性、完整性和系统可用性。

解决建议

目前厂商已发布升级补丁以修复漏洞,补丁获取链接: https://github.com/ceph/ceph/pull/30524


受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 redhat ceph * Up to
(including)
14.2.14
运行在以下环境
应用 redhat ceph * From
(including)
15.0.0
Up to
(excluding)
15.2.6
运行在以下环境
应用 redhat ceph_storage 2.0 -
运行在以下环境
应用 redhat ceph_storage 4.0 -
运行在以下环境
应用 redhat openshift_container_platform 4.0 -
运行在以下环境
系统 alpine_3.11 ceph * Up to
(excluding)
14.2.19-r0
运行在以下环境
系统 alpine_3.12 ceph * Up to
(excluding)
14.2.19-r0
运行在以下环境
系统 alpine_3.13 ceph * Up to
(excluding)
15.2.6-r0
运行在以下环境
系统 alpine_3.14 ceph * Up to
(excluding)
15.2.6-r0
运行在以下环境
系统 alpine_3.15 ceph * Up to
(excluding)
15.2.6-r0
运行在以下环境
系统 alpine_3.16 ceph * Up to
(excluding)
15.2.6-r0
运行在以下环境
系统 alpine_edge ceph * Up to
(excluding)
15.2.6-r0
运行在以下环境
系统 centos_8 ceph * Up to
(excluding)
14.2.8-115.el8cp
运行在以下环境
系统 fedora_33 ceph * Up to
(excluding)
15.2.6-1.fc33
运行在以下环境
系统 opensuse_Leap_15.1 ceph * Up to
(excluding)
14.2.13.450
运行在以下环境
系统 opensuse_Leap_15.2 ceph * Up to
(excluding)
15.2.5.667
运行在以下环境
系统 redhat_8 ceph * Up to
(excluding)
14.2.8-115.el8cp
运行在以下环境
系统 ubuntu_20.04 ceph * Up to
(excluding)
15.2.7-0ubuntu0.20.04.2
运行在以下环境
系统 unionos_20 ceph * Up to
(excluding)
12.2.11+dfsg1.1-1+dde
阿里云评分
2.9
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-294 使用捕获-重放进行的认证绕过
阿里云安全产品覆盖情况